import {httpApi} from "../../request/httpApi";

export default {
    //门户普通权限总计划统计
    async planOverview() {
        return httpApi({
            url: '/api/blade-control/projectCostBudget/planOverview',
            method: 'get',
            params: {}
        }, false);
    },
    //门户普通权限预警
    async postponePlan() {
        return httpApi({
            url: '/api/blade-control/projectCostBudget/postponePlan',
            method: 'get',
            params: {}
        }, false);
    },
    //获取用户计划通知
    async getUserInform() {
        return httpApi({
            url: '/api/blade-control/planInform/getUserInform',
            method: 'get',
            params: {}
        }, false);
    },
    //门户普通权限单月计划统计
    async monthPlanOverview(form) {
        return httpApi({
            url: '/api/blade-control/projectCostBudget/MonthPlanOverview',
            method: 'get',
            params: form
        }, false);
    },
    //门户普通权限计划统计图
    async monthOfYearPlanOverview() {
        return httpApi({
            url: '/api/blade-control/projectCostBudget/MonthOfYearPlanOverview',
            method: 'get',
            params: {}
        }, false);
    },

    //门户-年度指标统计
    async portalAnnualTarget() {
        return httpApi({
            url: '/api/blade-control/annualBudget/portalAnnualTarget',
            method: 'get',
            params: {}
        }, false);
    },
    //门户-年度列表
    async yearList() {
        return httpApi({
            url: '/api/blade-control/annualBudget/yearList',
            method: 'get',
            params: {
                type: 1
            }
        }, false);
    },
    //门户-年度各项费用统计
    async portalAnnualCost(form) {
        return httpApi({
            url: '/api/blade-control/annualBudget/portalAnnualCost',
            method: 'get',
            params: form
        }, false);
    },
    //门户-年度各项目支出对比
    async portalAnnualProjectCost(form) {
        return httpApi({
            url: '/api/blade-control/annualBudget/portalAnnualProjectCost',
            method: 'get',
            params: form
        }, false);
    },
    //门户-当月各部门计划安排比重
    async portalDeptMonthPlanRatio(form) {
        return httpApi({
            url: '/api/blade-control/annualBudget/portalDeptMonthPlanRatio',
            method: 'get',
            params: form
        }, false);
    },
    //门户-风险计划
    async portalRiskPlan() {
        return httpApi({
            url: '/api/blade-control/annualBudget/portalRiskPlan',
            method: 'get',
            params: {}
        }, false);
    },

    //门户-各项目支出占比
    async portalProjectCostRatio(date) {
        return httpApi({
            url: '/api/blade-control/annualBudget/portalProjectCostRatio',
            method: 'get',
            params: {
                date
            }
        }, false);
    },
    //门户-各项目收入占比
    async portalProjectIncomeRatio(date) {
        return httpApi({
            url: '/api/blade-control/annualBudget/portalProjectIncomeRatio',
            method: 'get',
            params: {
                date
            }
        }, false);
    },
    //门户-项目服务阶段进程
    async portalProjectProcess(projectId) {
        return httpApi({
            url: '/api/blade-control/annualBudget/portalProjectProcess',
            method: 'get',
            params: {
                projectId
            }
        }, false);
    },
}
